Bug 1658779 - monitor power saving mode exits after five seconds
Summary: monitor power saving mode exits after five seconds
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: wayland
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-12 20:41 UTC by biltong
Modified: 2019-11-27 20:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:20:20 UTC


Attachments (Terms of Use)

Description biltong 2018-12-12 20:41:54 UTC
Description of problem:
When I lock the screen power saving mode kicks in. Five seconds later power saving mode exits (but the screen is still displaying a black color).

This would not matter except the power draw difference is huge:
55 watts when in use, and 20 watts when in power saving mode.

I'd like to use power saving mode if possible.

F29 latest updates. DP cable. Intel 630.

Might have got the wrong component, sorry about that.

Version-Release number of selected component (if applicable):
kernel 4.19.8-300.fc29.x86_64
libwayland-server-1.16.0-1.fc29.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1. Lock the screen
2. Watch watt meter drop from 55 watts to 20 watts
3. Wait 5 seconds
4. See backlight come back on again
5. Watch watt meter jump back to 55 watts

Actual results:
Does not stay in power saving mode

Expected results:
Stays in power saving mode

Additional info:
This command does not keep the display in power saving mode for 60 seconds:

busctl --user set-property org.gnome.Mutter.DisplayConfig /org/gnome/Mutter/DisplayConfig org.gnome.Mutter.DisplayConfig PowerSaveMode i 1; sleep 60; busctl --user set-property org.gnome.Mutter.DisplayConfig /org/gnome/Mutter/DisplayConfig org.gnome.Mutter.DisplayConfig PowerSaveMode i 0

Same behavior.

Comment 1 Ben Cotton 2019-10-31 20:19:40 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-11-27 20:20:20 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.